跳转到内容

Creative Upscaler

集成

模型 id creative-upscaler
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/creative-upscaler?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

每次运行最高 $1.125 按实际用量计费,剩余部分退款 在此页面运行

获取 API 密钥
Open model 超分辨率 #upscaling

基于扩散模型的创意放大器,可增加细节,支持 SD 1.5 或 SDXL 基础模型及形状控制

Open model · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

图像生成提示词;省略时由 BLIP2 创建。自行提供时,请尽可能包含详细描述以获得最佳结果。

•必填 image_url
拖放文件,或

用于放大的源图像。

高级 prompt_suffix · negative_prompt · model_type · base_model_url · additional_lora_url · additional_embedding_url · scale · creativity · detail · shape_preservation · guidance_scale · num_inference_steps · additional_lora_scale · seed · enable_safety_checks · skip_ccsr · override_size_limits
默认 high quality, highly...

用于附加 embedding token 或 'high quality' 等措辞的共享提示词结尾,会追加到所有提示词中。

默认 blurry, low resolutio...

指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。

model_type 默认 SD_1_5

用于放大的模型类型;默认值为 SD_1_5。

用于放大的基础模型 URL。

提供模型 URL 以指定用于放大的额外 LORA。没有值时,默认值为 None。

通过 URL 指向额外 embedding,以用于放大。没有值时,默认值为 None。

默认 2

提高此缩放因子可使输出图像更大。

默认 0.5

允许偏离原始内容的程度。

默认 1

增加的细节量。

默认 0.25

保留源图像形状的程度。

默认 7.5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 20

图像生成推理步骤数;步骤数越大,图像质量越好,但生成时间越长。

默认 1

通过其 scale 设置调整额外 LORA 对放大的影响强度,默认值为 1.0。

用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。

POST /run/creative-upscaler?wait=20 报价 → $1.125
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/creative-upscaler?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Creative Upscaler

从 `image_url` 获取图像,以 `scale` 1 到 5 放大并生成新细节。`model_type` 为 SD_1_5 或 SDXL,`creativity` 和 `detail` 设置修改程度,`shape_preservation` 保留原始结构。未提供 `prompt` 时会自动生成。支持自定义基础模型、LoRA 和嵌入 URL。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
model_type可选
类型enum
默认值SD_1_5
SD_1_5SDXL
用于放大的模型类型;默认值为 SD_1_5。
image_url必填 image
类型url · image
用于放大的源图像。
prompt可选
类型string | null
图像生成提示词;省略时由 BLIP2 创建。自行提供时,请尽可能包含详细描述以获得最佳结果。
scale可选
类型number
默认值2
1 – 5
提高此缩放因子可使输出图像更大。
creativity可选
类型number
默认值0.5
0 – 1
允许偏离原始内容的程度。
detail可选
类型number
默认值1
0 – 5
增加的细节量。
shape_preservation可选
类型number
默认值0.25
0 – 3
保留源图像形状的程度。
prompt_suffix可选
类型string
默认值 high quality, highly detailed, high resolution, sharp
用于附加 embedding token 或 'high quality' 等措辞的共享提示词结尾,会追加到所有提示词中。
negative_prompt可选
类型string
默认值blurry, low resolution, bad, ugly, low quality, pixelated, interpolated, compression artifacts, noisey, grainy
指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。
seed可选
类型integer | null
用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。
guidance_scale可选
类型number
默认值7.5
0 – 16
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
num_inference_steps可选
类型integer
默认值20
1 – 200
图像生成推理步骤数;步骤数越大,图像质量越好,但生成时间越长。
enable_safety_checks可选
类型boolean
默认值true
安全检查选项;为 true 时,如果检测到结果包含潜在不安全内容,则将其替换为黑色图像。
skip_ccsr可选
类型boolean
默认值false
启用后跳过 CCSR 预处理,图像将直接发送到创造性模型。
override_size_limits可选
类型boolean
默认值false
允许可能需要很长时间的大型上传。
base_model_url可选
类型string | null
用于放大的基础模型 URL。
additional_lora_url可选
类型string
提供模型 URL 以指定用于放大的额外 LORA。没有值时,默认值为 None。
additional_lora_scale可选
类型number
默认值1
通过其 scale 设置调整额外 LORA 对放大的影响强度,默认值为 1.0。
additional_embedding_url可选
类型string
通过 URL 指向额外 embedding,以用于放大。没有值时,默认值为 None。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "creative-upscaler",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1125,
    "usd": "1.125",
    "charged": 1125,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}生成图像的文件信息。
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/creative-upscaler.md. 所有模型和指南: https://doitong.com/developers/llms.txt